Bug 112191 - Issue with feature "export of bullets & numbering via copy & paste"
Summary: Issue with feature "export of bullets & numbering via copy & paste"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-03 14:52 UTC by Vince
Modified: 2018-02-08 09:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vince 2017-09-03 14:52:39 UTC
This is in regard to new feature introduced here: https://cgit.freedesktop.org/libreoffice/core/commit/?id=0425ccba5b2f8819d6fade05d96a72d64db1ce0c

This feature introduces an undesirable side effect: when copying & pasting a portion of text within a bulleted list paragraph, leading spaces and bullet are copied along with the text. This is the case even when a single character is being copied! This makes cutting/pasting commands from a document to a terminal emulator rather inconvenient:)

Possible solutions:

(1) Enable feature only when entire paragraph(s) are selected.

(2) Implement feature only within the context of a newly introduced "copy special" or "copy rich" function.

(3) Introduce option to disable the feature on a per-document or global basis.
Comment 1 Buovjaga 2017-09-09 17:43:41 UTC
Kendy: thoughts?
Comment 2 raal 2017-09-10 06:34:04 UTC
Tested folowing bullet list

    • first
    • second 
    • third j s s s s s
    • fourth s s s 

when I select whole line it's copied with bullet
    • first

when I select only part of line or one letter it's copied without bullet
j s s
s
f
c
j
third 

Version: 6.0.0.0.alpha0+
Comment 3 Jan Holesovsky 2017-09-11 09:54:46 UTC
Good find; indeed (1) would make sense - export the bullets only when multiple paragraphs are involved...
Comment 4 Commit Notification 2017-09-13 06:43:20 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ead87264328beddddead1c7e878c2aee03e03af

tdf#112191: Don't export bullets when only one paragraph is selected.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-09-13 06:43:26 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3563220f048da5e0e893b8ac7faf5e8f14889fa5

tdf#112191: Unit test.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Jan Holesovsky 2017-09-13 06:58:07 UTC
Fixed now :-)
Comment 7 Michael Stahl (CIB) 2018-02-07 22:02:19 UTC
i read Vince's description such that a *partially selected* paragraph
has its numbering copied, but as comment#2 indicates,
only a *completely selected* paragraph has its numbering copied.

then the suggested solution (1) was interpreted by Kendy as
applying to a single *completely selected* paragraph,
so that it's numbering should not be copied,
which isn't what it actually says!

i'd much prefer to copy the numbering of a single completely
selected paragraph, as that's how it worked even before the
commit cited in the description,
but currently i'm very confused by the comments here.
Comment 8 Buovjaga 2018-02-08 09:43:51 UTC
(In reply to Michael Stahl from comment #7)
> but currently i'm very confused by the comments here.

See also bug 85855 if you want to get even more confused.